Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.math3.linear
Class RealVectorFormat

    java.lang.Object
      org.apache.commons.math3.linear.RealVectorFormat

    public class RealVectorFormat

extends Object

Formats a vector in components list format "{v0; v1; ...; vk-1}".

The prefix and suffix "{" and "}" and the separator "; " can be replaced by any user-defined strings. The number format for components can be configured.

White space is ignored at parse time, even if it is in the prefix, suffix or separator specifications. So even if the default separator does include a space character that is used at format time, both input string "{1;1;1}" and " { 1 ; 1 ; 1 } " will be parsed without error and the same vector will be returned. In the second case, however, the parse position after parsing will be just after the closing curly brace, i.e. just before the trailing space.

Since:
  2.0
Version:
  $Id: RealVectorFormat.java 1416643 2012-12-03 19:37:14Z tn $

Constructor Summary
`RealVectorFormat()` Create an instance with default settings.
`RealVectorFormat(NumberFormat format)` Create an instance with a custom number format for components.
`RealVectorFormat(String prefix, String suffix, String separator)` Create an instance with custom prefix, suffix and separator.
`RealVectorFormat(String prefix, String suffix, String separator, NumberFormat format)` Create an instance with custom prefix, suffix, separator and format for components.

Method Summary
`String` | `format(RealVector v)` This method calls `format(RealVector,StringBuffer,FieldPosition)`.
`StringBuffer` | `format(RealVector vector, StringBuffer toAppendTo, FieldPosition pos)` Formats a `RealVector` object to produce a string.
`static Locale[]` | `getAvailableLocales()` Get the set of locales for which real vectors formats are available.
`NumberFormat` | `getFormat()` Get the components format.
`static RealVectorFormat` | `getInstance()` Returns the default real vector format for the current locale.
`static RealVectorFormat` | `getInstance(Locale locale)` Returns the default real vector format for the given locale.
`String` | `getPrefix()` Get the format prefix.
`String` | `getSeparator()` Get the format separator between components.
`String` | `getSuffix()` Get the format suffix.
`ArrayRealVector` | `parse(String source)` Parse a string to produce a `RealVector` object.
`ArrayRealVector` | `parse(String source, ParsePosition pos)` Parse a string to produce a `RealVector` object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RealVectorFormat

    public RealVectorFormat()

  Create an instance with default settings.

  The instance uses the default prefix, suffix and separator: "{", "}", and "; " and the default number format for components.

### RealVectorFormat

    public RealVectorFormat(NumberFormat format)

  Create an instance with a custom number format for components.

  Parameters:
    `format` - the custom format for components.

### RealVectorFormat

    public RealVectorFormat(String prefix,
                            String suffix,
                            String separator)

  Create an instance with custom prefix, suffix and separator.

  Parameters:
    `prefix` - prefix to use instead of the default "{"
    `suffix` - suffix to use instead of the default "}"
    `separator` - separator to use instead of the default "; "

### RealVectorFormat

    public RealVectorFormat(String prefix,
                            String suffix,
                            String separator,
                            NumberFormat format)

  Create an instance with custom prefix, suffix, separator and format for components.

  Parameters:
    `prefix` - prefix to use instead of the default "{"
    `suffix` - suffix to use instead of the default "}"
    `separator` - separator to use instead of the default "; "
    `format` - the custom format for components.

Method Detail

### getAvailableLocales

    public static Locale[] getAvailableLocales()

  Get the set of locales for which real vectors formats are available.

  This is the same set as the `NumberFormat` set.

  Returns:
    available real vector format locales.

### getPrefix

    public String getPrefix()

  Get the format prefix.

  Returns:
    format prefix.

### getSuffix

    public String getSuffix()

  Get the format suffix.

  Returns:
    format suffix.

### getSeparator

    public String getSeparator()

  Get the format separator between components.

  Returns:
    format separator.

### getFormat

    public NumberFormat getFormat()

  Get the components format.

  Returns:
    components format.

### getInstance

    public static RealVectorFormat getInstance()

  Returns the default real vector format for the current locale.

  Returns:
    the default real vector format.

### getInstance

    public static RealVectorFormat getInstance(Locale locale)

  Returns the default real vector format for the given locale.

  Parameters:
    `locale` - the specific locale used by the format.
  Returns:
    the real vector format specific to the given locale.

### format

    public String format(RealVector v)

  This method calls `format(RealVector,StringBuffer,FieldPosition)`.

  Parameters:
    `v` - RealVector object to format.
  Returns:
    a formatted vector.

### format

    public StringBuffer format(RealVector vector,
                               StringBuffer toAppendTo,
                               FieldPosition pos)

  Formats a `RealVector` object to produce a string.

  Parameters:
    `vector` - the object to format.
    `toAppendTo` - where the text is to be appended
    `pos` - On input: an alignment field, if desired. On output: the offsets of the alignment field
  Returns:
    the value passed in as toAppendTo.

### parse

    public ArrayRealVector parse(String source)

  Parse a string to produce a `RealVector` object.

  Parameters:
    `source` - String to parse.
  Returns:
    the parsed `RealVector` object.
  Throws:
    `MathParseException` - if the beginning of the specified string cannot be parsed.

### parse

    public ArrayRealVector parse(String source,
                                 ParsePosition pos)

  Parse a string to produce a `RealVector` object.

  Parameters:
    `source` - String to parse.
    `pos` - input/ouput parsing parameter.
  Returns:
    the parsed `RealVector` object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2013 The Apache Software Foundation. All Rights Reserved.